// vim: set tw=80 ts=2 sw=2 sts=2 :

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';
import {
  MdButtonModule,
  MdDialogModule,
  MdIconModule,
  MdInputModule,
  MdListModule,
  MdTableModule,
} from '@angular/material';
import { HttpClientModule } from '@angular/common/http';
import { RouterModule } from '@angular/router';

import { NgLoggerModule, Level } from '@nsalaun/ng-logger';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { ToastrModule } from 'ngx-toastr';

import { AccountService } from './account.service';
import { AccountBalancesService } from './accountBalances.service';
import { AccountListComponent } from './accountList.component';
import { AccountDataSource } from './account.dataSource';
import { AccountDeleteModalComponent } from './accountDeleteModal.component';
import { AccountEditModalComponent } from './accountEditModal.component';
import { AccountFormComponent } from './accountForm.component';
import { DailyBalanceService } from './dailyBalance.service';
import { AccountListState } from './account.states'

@NgModule({
  imports: [
    HttpClientModule,
    CommonModule,
    ReactiveFormsModule,
    RouterModule.forChild([
      AccountListState
    ]),
    MdButtonModule,
    MdDialogModule,
    MdIconModule,
    MdInputModule,
    MdListModule,
    MdTableModule,
    NgLoggerModule,
    ToastrModule,
    NgbModule,
  ],
  providers: [
    AccountService,
    AccountDataSource,
    AccountBalancesService,
    DailyBalanceService,
  ],
  declarations: [
    AccountListComponent,
    AccountDeleteModalComponent,
    AccountEditModalComponent,
    AccountFormComponent,
  ],
  entryComponents: [
    AccountListComponent,
    AccountDeleteModalComponent,
    AccountEditModalComponent,
  ]
})
export class AccountModule {}
