// vim: set tw=80 ts=2 sw=2 sts=2:
import { Component, Inject } from '@angular/core';
import { MD_DIALOG_DATA } from '@angular/material';

@Component({
  selector: 'account-delete-modal',
  template: `
    <h3 md-dialog-title>Delete account #{{ data.account.id }}</h3>

    <md-dialog-content>
      Do you really want to delete account #{{ data.account.id }} with name:<br/>
      {{ data.account.name }}
    </md-dialog-content>

    <md-dialog-actions>
      <button md-raised-button color="warn" [md-dialog-close]="data.account">
        Yes
      </button>

      <button md-raised-button md-dialog-close>
        No
      </button>
    </md-dialog-actions>
  `
})
export class AccountDeleteModalComponent {
  constructor(
    @Inject(MD_DIALOG_DATA) private data: any
  ) {}
}
