// vim: set tw=80 ts=2 sw=2 sts=2:
import { Component, Inject } from '@angular/core';
import { MD_DIALOG_DATA } from '@angular/material';

@Component({
  selector: 'schedule-delete-modal',
  template: `
    <h3 md-dialog-title>{{ title() }}</h3>

    <md-dialog-content>
      Do you really want to delete schedule #{{ data.schedule.id }} with label:<br/>
      {{ data.schedule.label }}
    </md-dialog-content>

    <md-dialog-actions>
      <button md-raised-button color="warn" [md-dialog-close]="data.schedule">
        Yes
      </button>

      <button md-raised-button md-dialog-close>
        No
      </button>
    </md-dialog-actions>
  `
})
export class ScheduleDeleteModalComponent {
  constructor(
    @Inject(MD_DIALOG_DATA) private data: any
  ) {}

  title(): string {
    return "Delete schedule #" + this.data.schedule.id;
  }
}
